Skip to navigation

Create Product Custom Field

Creates a Custom Field.

Required Fields:

  • name
  • value

Name-Value Pair Uniqueness

  • Every name-value pair must be unique inside a product.

Read-Only:

  • id

Limits

  • 200 custom fields per product limit.
  • 250 characters per custom field limit.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

product_idintegerRequired

The ID of the Product to which the resource belongs.

store_hashstringRequired
Permanent ID of the BigCommerce store.

Request

This endpoint expects an object.
namestringRequired1-250 characters

The name of the field, shown on the storefront, orders, etc. This field is a requirement for /POST requests.

valuestringRequired1-250 characters

The value of the field, shown on the storefront, orders, etc. This field is a requirement for /POST requests.

Response

Gets Custom field.
dataobjectOptional

Gets custom fields associated with a product. These allow you to specify additional information that will appear on the product’s page, such as a book’s ISBN or a DVD’s release date.

metaobjectOptional
Response metadata.

Errors

403
Forbidden Error
404
Not Found Error
405
Method Not Allowed Error
422
Unprocessable Entity Error